package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart.ext;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoom;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoomUser;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComStaffUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ThirdPartWeComMapperExt {

    void batchInsertThirdPartWeComRoomUser(@Param("records") List<ThirdPartWeComRoomUser> records);

    void batchUpdateThirdPartWeComRoomUser(@Param("records") List<ThirdPartWeComRoomUser> records);

    void batchInsertThirdPartWeComStaffUser(@Param("records") List<ThirdPartWeComStaffUser> saveList);

    void batchUpdateThirdPartWeComStaffUser(@Param("records") List<ThirdPartWeComStaffUser> saveList);

    List<ThirdPartWeComStaffUser> getNoGroupStaffUserList(@Param("thirdStaffId") Long thirdStaffId);

    void setRoomUserQuitTime(@Param("thirdRoomId") String thirdRoomId, @Param("deleteList") List<Long> deleteList, @Param("quitTime") Long quitTime);

    void batchInsertThirdPartWeComRoom(@Param("records") List<ThirdPartWeComRoom> partition);

    void batchUpdateThirdPartWeComRoom(@Param("records") List<ThirdPartWeComRoom> partition);

    void updateStaffQrImageByUuid(@Param("uuid") String uuid, @Param("qrImage") String qrImage);
}
